import java.util.Scanner;

public class Cooking {

	public static void main(String[] args) {

		// creates new recipe books
		RecipeBook bakingBook = new RecipeBook("Baking", 6);
		RecipeBook southernBook = new RecipeBook("Southern Cooking", 3);

		// adds recipes to the books
		addRecipes(bakingBook, southernBook);

		// YOUR CODE GOES BENEATH HERE

	}

	private static void addRecipes(RecipeBook bakingBook, RecipeBook southernBook) {
		// recipe arrays
		Recipe[] bakingRecipes = {
				new Recipe("Pancakes", 8, 0.3,
						new IngredientLine[] { new IngredientLine(Ingredient.FLOUR, 1.5, Unit.CUP),
								new IngredientLine(Ingredient.BAKING_POWDER, 3.5, Unit.TEASPOON),
								new IngredientLine(Ingredient.SALT, 1, Unit.TEASPOON),
								new IngredientLine(Ingredient.WHITE_SUGAR, 1, Unit.TABLESPOON),
								new IngredientLine(Ingredient.MILK, 1.25, Unit.CUP),
								new IngredientLine(Ingredient.EGG, 1, Unit.BLANK),
								new IngredientLine(Ingredient.BUTTER, 3, Unit.TABLESPOON) }),
				new Recipe("Cake", 12, 0.83,
						new IngredientLine[] { new IngredientLine(Ingredient.BUTTER, 1, Unit.CUP),
								new IngredientLine(Ingredient.GRANULATED_SUGAR, 1.5, Unit.CUP),
								new IngredientLine(Ingredient.EGG, 4, Unit.BLANK),
								new IngredientLine(Ingredient.VANILLA_EXTRACT, 1, Unit.TABLESPOON),
								new IngredientLine(Ingredient.FLOUR, 2.75, Unit.CUP),
								new IngredientLine(Ingredient.BAKING_POWDER, 1, Unit.TABLESPOON),
								new IngredientLine(Ingredient.SALT, 0.5, Unit.TEASPOON),
								new IngredientLine(Ingredient.MILK, 1, Unit.CUP) }),
				new Recipe("Pizza Dough", 1, 0.75,
						new IngredientLine[] { new IngredientLine(Ingredient.WATER, 2, Unit.CUP),
								new IngredientLine(Ingredient.YEAST, 1, Unit.TABLESPOON),
								new IngredientLine(Ingredient.SALT, 1, Unit.TABLESPOON),
								new IngredientLine(Ingredient.FLOUR, 5, Unit.CUP),
								new IngredientLine(Ingredient.OLIVE_OIL, 4, Unit.TABLESPOON) }),
				new Recipe("Biscuits", 12, 0.5,
						new IngredientLine[] { new IngredientLine(Ingredient.FLOUR, 3, Unit.CUP),
								new IngredientLine(Ingredient.SUGAR, 3, Unit.TABLESPOON),
								new IngredientLine(Ingredient.SALT, 0.5, Unit.TEASPOON),
								new IngredientLine(Ingredient.BAKING_POWDER, 4, Unit.TEASPOON),
								new IngredientLine(Ingredient.CREAM_OF_TARTAR, 0.5, Unit.TEASPOON),
								new IngredientLine(Ingredient.BUTTER, 0.75, Unit.CUP),
								new IngredientLine(Ingredient.EGG, 1, Unit.BLANK),
								new IngredientLine(Ingredient.MILK, 1, Unit.CUP) }),
				new Recipe("Chocolate Chip Cookies", 24, 1.75,
						new IngredientLine[] { new IngredientLine(Ingredient.BUTTER, 0.75, Unit.CUP),
								new IngredientLine(Ingredient.BROWN_SUGAR, 0.75, Unit.CUP),
								new IngredientLine(Ingredient.GRANULATED_SUGAR, 0.25, Unit.CUP),
								new IngredientLine(Ingredient.EGG, 1, Unit.BLANK),
								new IngredientLine(Ingredient.VANILLA_EXTRACT, 2, Unit.TEASPOON),
								new IngredientLine(Ingredient.FLOUR, 2, Unit.CUP),
								new IngredientLine(Ingredient.CORNSTARCH, 2, Unit.TEASPOON),
								new IngredientLine(Ingredient.BAKING_SODA, 1, Unit.TEASPOON),
								new IngredientLine(Ingredient.SALT, 0.5, Unit.TEASPOON),
								new IngredientLine(Ingredient.CHOCOLATE_CHIPS, 1.25, Unit.CUP) }),
				new Recipe("Cornbread", 9, 0.6,
						new IngredientLine[] { new IngredientLine(Ingredient.BUTTER, 8, Unit.TABLESPOON),
								new IngredientLine(Ingredient.GRANULATED_SUGAR, 0.5, Unit.CUP),
								new IngredientLine(Ingredient.HONEY, 0.25, Unit.CUP),
								new IngredientLine(Ingredient.EGG, 2, Unit.BLANK),
								new IngredientLine(Ingredient.MILK, 1, Unit.CUP),
								new IngredientLine(Ingredient.FLOUR, 1, Unit.CUP),
								new IngredientLine(Ingredient.CORNMEAL, 1, Unit.CUP),
								new IngredientLine(Ingredient.SALT, 0.5, Unit.TEASPOON),
								new IngredientLine(Ingredient.BAKING_SODA, 0.5, Unit.TEASPOON) }) };

		Recipe[] southernRecipes = {
				new Recipe("Cornbread", 9, 0.6,
						new IngredientLine[] { new IngredientLine(Ingredient.BUTTER, 8, Unit.TABLESPOON),
								new IngredientLine(Ingredient.GRANULATED_SUGAR, 0.5, Unit.CUP),
								new IngredientLine(Ingredient.HONEY, 0.25, Unit.CUP),
								new IngredientLine(Ingredient.EGG, 2, Unit.BLANK),
								new IngredientLine(Ingredient.MILK, 1, Unit.CUP),
								new IngredientLine(Ingredient.FLOUR, 1, Unit.CUP),
								new IngredientLine(Ingredient.CORNMEAL, 1, Unit.CUP),
								new IngredientLine(Ingredient.SALT, 0.5, Unit.TEASPOON),
								new IngredientLine(Ingredient.BAKING_SODA, 0.5, Unit.TEASPOON) }),
				new Recipe("BBQ Ribs", 6, 8.25,
						new IngredientLine[] { new IngredientLine(Ingredient.PORK_RIBS, 3, Unit.POUND),
								new IngredientLine(Ingredient.PINEAPPLE_JUICE, 3.5, Unit.CUP),
								new IngredientLine(Ingredient.BROWN_SUGAR, 1.5, Unit.CUP),
								new IngredientLine(Ingredient.BBQ_SAUCE, 16, Unit.OUNCE) }),
				new Recipe("Biscuits", 12, 0.5,
						new IngredientLine[] { new IngredientLine(Ingredient.FLOUR, 3, Unit.CUP),
								new IngredientLine(Ingredient.SUGAR, 3, Unit.TABLESPOON),
								new IngredientLine(Ingredient.SALT, 0.5, Unit.TEASPOON),
								new IngredientLine(Ingredient.BAKING_POWDER, 4, Unit.TEASPOON),
								new IngredientLine(Ingredient.CREAM_OF_TARTAR, 0.5, Unit.TEASPOON),
								new IngredientLine(Ingredient.BUTTER, 0.75, Unit.CUP),
								new IngredientLine(Ingredient.EGG, 1, Unit.BLANK),
								new IngredientLine(Ingredient.MILK, 1, Unit.CUP) }) };

		for (int i = 0; i < bakingRecipes.length; i++) {
			bakingBook.addRecipe(bakingRecipes[i]);
		}
		
		for (int i = 0; i < southernRecipes.length; i++) {
			southernBook.addRecipe(southernRecipes[i]);
		}
	}

}
