import java.util.HashMap;
import java.util.Map;

public enum Ingredient {

	BAKING_POWDER("baking powder"),
	BAKING_SODA("baking soda"),
	BBQ_SAUCE("BBQ sauce"),
	BROWN_SUGAR("brown sugar"),
	BUTTER("butter"),
	CHOCOLATE_CHIPS("chocolate chips"),
	CORNMEAL("cornmeal"),
	CORNSTARCH("cornstarch"),
	CREAM_OF_TARTAR("cream of tartar"),
	EGG("egg"),
	FLOUR("flour"),
	GRANULATED_SUGAR("granulated sugar"),
	HONEY("honey"),
	MILK("milk"),
	OLIVE_OIL("olive oil"),
	PEPPER("pepper"),
	PINEAPPLE_JUICE("pineapple juice"),
	PORK_RIBS("pork ribs"),
	SALT("salt"),
	SUGAR("sugar"),
	VANILLA_EXTRACT("vanilla extract"),
	WATER("water"),
	WHITE_SUGAR("white sugar"),
	YEAST("yeast");
	
	private final String field;
	
	private Ingredient(String value) {
		field = value;
	}
	
	public String getName() {
		return field;
	}
	
	private static final Map<String, Ingredient> map;
	
    static {
        map = new HashMap<String, Ingredient>();
        for (Ingredient v : Ingredient.values()) {
            map.put(v.field, v);
        }
    }
    
    public static Ingredient getIngredient(String name) {
        return map.get(name);
    }
	
}
